import request from '@/utils/request'

// 查询风向标/风向袋/新风系统正压计列表
export function listWeathervane(query) {
  return request({
    url: '/fire/weathervane/list',
    method: 'get',
    params: query
  })
}

// 查询风向标/风向袋/新风系统正压计详细
export function getWeathervane(id) {
  return request({
    url: '/fire/weathervane/' + id,
    method: 'get'
  })
}

// 新增风向标/风向袋/新风系统正压计
export function addWeathervane(data) {
  return request({
    url: '/fire/weathervane',
    method: 'post',
    data: data
  })
}

// 修改风向标/风向袋/新风系统正压计
export function updateWeathervane(data) {
  return request({
    url: '/fire/weathervane',
    method: 'put',
    data: data
  })
}

// 删除风向标/风向袋/新风系统正压计
export function delWeathervane(id) {
  return request({
    url: '/fire/weathervane/' + id,
    method: 'delete'
  })
}
